libsigc++: sigc::compose1_functor< T_setter, T_getter > Struct Template Reference

libsigc++ 3.0.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
sigc::compose1_functor< T_setter, T_getter > Struct Template Reference
Adaptors » compose()

Adaptor that combines two functors. More...

`#include <sigc++/adaptors/compose.h>`

Inheritance diagram for sigc::compose1_functor< T_setter, T_getter >:
[legend]

## Public Member Functions
| compose1_functor (const T_setter& setter, const T_getter& getter)
| Constructs a compose1_functor object that combines the passed functors. More...
template<typename... T_arg>
decltype(auto) | operator() (T_arg&&...a)
Public Member Functions inherited from sigc::adapts< T_setter >
| adapts (const T_setter& functor)
| Constructs an adaptor that wraps the passed functor. More...

## Public Attributes
T_getter | get_
Public Attributes inherited from sigc::adapts< T_setter >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Detailed Description

### template<typename T_setter, typename T_getter>
struct sigc::compose1_functor< T_setter, T_getter >

Adaptor that combines two functors.

Use the convenience function sigc::compose() to create an instance of sigc::compose1_functor.

The following template arguments are used:

- T_setter Type of the setter functor to wrap.
- T_getter Type of the getter functor to wrap.

## Constructor & Destructor Documentation

template <typename T_setter , typename T_getter >

sigc::compose1_functor< T_setter, T_getter >::compose1_functor | ( | const T_setter & | setter,
|  | const T_getter & | getter
| ) |  |
| inline

Constructs a compose1_functor object that combines the passed functors.

Parameters

  setter | Functor that receives the return values of the invocation of getter1 and getter2.
  getter | Functor to invoke from operator()().

## Member Function Documentation

template <typename T_setter , typename T_getter >
template <typename... T_arg>

decltype(auto) sigc::compose1_functor< T_setter, T_getter >::operator() | ( | T_arg &&... | a | ) |
| inline

## Member Data Documentation

template <typename T_setter , typename T_getter >

T_getter sigc::compose1_functor< T_setter, T_getter >::get_